#include <ctype.h>
#include "source_handler.h"


int main(int argc, char* argv[])
{
   int c;
   
   assert(argc==2);

   ProgName = "sh_test";
   InitSourceHandler(argv[1]);

   while((c = CurrentChar())!=EOF)
   {
      if(isprint(c))
      {
	 printf("'%c' (%d,%d)\n", c, CurrentLine(), CurrentColumn());
      }
      else
      {
	 printf("'_' (%d,%d)\n", CurrentLine(), CurrentColumn());
      }

      NextChar();
   }

   ExitSourceHandler();
   return EXIT_SUCCESS;
}
