/*-----------------------------------------------------------------------

File  : source_handler.h

Author: Stephan Schulz

Contents
 
  A simple, single-file/single-source source handler. Check

  Copyright 2002 by the author.
  This code is released under the GNU General Public Licence.
  See the file COPYING in the main CLIB directory for details.
  Run "eprover -h" for contact information.

Changes

<1> Thu Sep 19 23:49:14 CEST 2002
    New

-----------------------------------------------------------------------*/

#ifndef SOURCE_HANDLER

#define SOURCE_HANDLER

#include "utilities.h"

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

void InitSourceHandler(char* filename);
void ExitSourceHandler();
int  NextChar();
int  CurrentChar();
int  CurrentLine();
int  CurrentColumn();

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





